## GwyLayerMask GwyLayerMask — Display data as color mask |

## Functions

GwyPixmapLayer * | gwy_layer_mask_new ()
void | gwy_layer_mask_set_color_key ()
const gchar * | gwy_layer_mask_get_color_key ()
GwyRGBA | gwy_layer_mask_get_color ()

## Properties

char * | color-key | Read / Write

## Types and Values

struct | GwyLayerMask
struct | GwyLayerMaskClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GwyDataViewLayer
                    ╰── GwyPixmapLayer
                        ╰── GwyLayerMask

## Includes

    #include <libgwydgets/gwydgets.h>

## Description

GwyLayerMask is a data view layer that can paint data as a color mask with varying opacity. It is not normally usable outside a GwyDataView.

The layer takes all infromation from its parent GwyDataView, therefore you do not set its properties directly, but you change them in the corresponding GwyContainer and/or use methods like `gwy_layer_mask_set_color_key()` to make the layer read a different value from the container.

## Functions

### gwy_layer_mask_new ()

    GwyPixmapLayer *
    gwy_layer_mask_new (void);

Creates a new mask layer.

By default, is uses a transparent color (thus not displaying anything).

#### Returns

The newly created layer.

### gwy_layer_mask_set_color_key ()

    void
    gwy_layer_mask_set_color_key (GwyLayerMask *mask_layer,
                                  const gchar *prefix);

Sets the container key of colour components of a mask layer.

#### Parameters

mask_layer | A mask layer. |
prefix | Prefix of keys identifying mask color components, "/red", "/green", "/blue", and "/alpha" is appended to it to get the individual keys. |

### gwy_layer_mask_get_color_key ()

    const gchar *
    gwy_layer_mask_get_color_key (GwyLayerMask *mask_layer);

Gets prefix identifying color components.

#### Parameters

mask_layer | A mask layer. |

#### Returns

The prefix, or `NULL` if it isn't set.

### gwy_layer_mask_get_color ()

    GwyRGBA
    gwy_layer_mask_get_color (GwyLayerMask *mask_layer);

Returns the color used by a mask layer.

#### Parameters

mask_layer | A mask layer. |

#### Returns

The color as GwyRGBA.

## Types and Values

### struct GwyLayerMask

    struct GwyLayerMask;

### struct GwyLayerMaskClass

    struct GwyLayerMaskClass {
        GwyPixmapLayerClass parent_class;

        void (*reserved1)(void);
        void (*reserved2)(void);
    };

## Property Details

### The `“color-key”` property

      “color-key”                char *

The :color-key property is the container key used to identify mask color in container.

Owner: GwyLayerMask

Flags: Read / Write

Default value: NULL

## See Also

GwyDataView -- data display widget, GwyLayerBasic -- display data colored with a gradient, GwyRGBA -- color representation